%global debug_package   %{nil}
%global import_path     github.com/kdar/factorlog
%global gopath          %{_datadir}/gocode
%global commit          814d8f7ea0cba0a35203db9181a3269699eca59e
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-github-kdar-factorlog
Version:        0
Release:        0.2.git%{shortcommit}%{?dist}
Summary:        Fast logging infrastructure for Go
License:        MIT
URL:            http://www.gorillatoolkit.org/pkg/context
Source0:        https://%{import_path}/archive/%{commit}/context-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
Requires:       golang
Summary:        Fast logging infrastructure for Go
Provides:       golang(%{import_path}) = %{version}-%{release}

%description devel
%{summary}

FactorLog is a fast logging infrastructure for Go that provides numerous
logging functions for whatever your style may be. It could easily be a
replacement for Go's log in the standard library (though it doesn't support
functions such as SetFlags()).

This package contains library source intended for building other packages
which use kdar/factorlog.

%prep
%setup -n factorlog-%{commit}

%build

%install
install -d %{buildroot}/%{gopath}/src/%{import_path}
cp -av *.go %{buildroot}/%{gopath}/src/%{import_path}

%files devel
%defattr(-,root,root,-)
%doc LICENSE README.md
%dir %attr(755,root,root) %{gopath}
%dir %attr(755,root,root) %{gopath}/src
%dir %attr(755,root,root) %{gopath}/src/github.com
%dir %attr(755,root,root) %{gopath}/src/github.com/kdar
%dir %attr(755,root,root) %{gopath}/src/%{import_path}
%{gopath}/src/%{import_path}/*.go

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.git814d8f7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 28 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.git
- Bug 1092057 - Initial fedora package
